Edit

Create customerReturnReasons

Creates a customer return reason in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST businesscentralPrefix/companies({id})/customerReturnReasons

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of a customerReturnReason object.

Response

If successful, this method returns 201 Created response code and a customerReturnReason object in the response body.

Example

Request

Here's an example of the request.

POST https://{businesscentralPrefix}/api/v2.0/companies({id})/customerReturnReasons
Content-type: application/json
{
  "code": "VARIANT",
  "description": "Incorrect item variant"
}

Response

Here's an example of the response.

HTTP/1.1 201 Created
Content-type: application/json
{
    "id": "6ea22bf6-a449-ee11-ad0b-a1422c0f7f1f",
    "code": "VARIANT",
    "description": "Incorrect item variant"
}

Tips for working with the APIs
customerReturnReason
GET customerReturnReason
DELETE customerReturnReason
PATCH customerReturnReason